#
# spec file for package CID-keyed-fonts-MOE
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           adobe-cid-keyed-moe-fonts
Version:        20021114
Release:        340.1
License:        SUSE-NonFree
Summary:        MOE CID-Keyed Fonts (for Traditional Chinese)
Group:          Productivity/Publishing/PS
# Free CID keyed sample fonts from Adobe. Can be downloaded from:
# ftp://ftp.oreilly.com/pub/examples/nutshell/cjkv/adobe/samples/
Source0:        %{name}-%{version}.tar.bz2
Source1:        License
Requires:       ghostscript-cjk
Provides:       locale(zh_TW)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the CID-keyed fonts

MOESung-Regular 	  (Adobe-CNS1-0 subset: 13699 CIDs)
MOEKai-Regular		  (Adobe-CNS1-0 subset: 13699 CIDs)

These fonts are useful for traditional Chinese--for Taiwan and
Hongkong. The fonts can be used with Ghostscript as well as with X11.

%package     -n adobe-cid-keyed-wada-fonts
Summary:        Wadalab CID-Keyed Fonts (for Japanese)
Group:          Productivity/Publishing/PS
Provides:       locale(ja)
# FIXME: This causes a rpmlint warning; change <= to < once here's a new upstream version
Obsoletes:      CID-keyed-fonts-Wada <= %{version}
Provides:       CID-keyed-fonts-Wada = %{version}

%description -n adobe-cid-keyed-wada-fonts
This package contains the CID-keyed fonts

WadaMin-Regular 	  (Adobe-Japan1-1 subset: 6998 CIDs)
WadaMin-Bold		  (Adobe-Japan1-1 subset: 6996 CIDs)
WadaGo-Bold		  (Adobe-Japan1-1 subset: 6998 CIDs)
WadaMaruGo-Regular	  (Adobe-Japan1-1 subset: 6998 CIDs)

These fonts are useful for Japanese. The fonts can be used with
Ghostscript as well as with X11.

%package     -n adobe-cid-keyed-wadah-fonts
Summary:        Wadalab CID-Keyed Fonts (for Rare Japanese Characters)
Group:          Productivity/Publishing/PS
Provides:       locale(ja)
# FIXME: This causes a rpmlint warning; change <= to < once here's a new upstream version
Obsoletes:      CID-keyed-fonts-WadaH <= %{version}
Provides:       CID-keyed-fonts-WadaH = %{version}

%description -n adobe-cid-keyed-wadah-fonts
This package contains the CID-keyed fonts

WadaMin-RegularH	  (Adobe-Japan2-0 complete: 6068 CIDs)
WadaMaruGo-RegularH	  (Adobe-Japan2-0 complete: 6068 CIDs)

These fonts contain the characters from the JIS X 0121-1990 character
set (additional, rarely used Japanese characters). The fonts can be
used with Ghostscript as well as with X11.

%package     -n adobe-cid-keyed-munhwa-fonts
Summary:        Munhwa CID-Keyed Fonts (for Korean)
Group:          Productivity/Publishing/PS
Obsoletes:      gs_fonth
Provides:       locale(ko)
# FIXME: This causes a rpmlint warning; change <= to < once here's a new upstream version
Obsoletes:      CID-keyed-fonts-Munhwa <= %{version}
Provides:       CID-keyed-fonts-Munhwa = %{version}

%description -n adobe-cid-keyed-munhwa-fonts
This package contains the CID-keyed fonts

Munhwa-Regular		  (Adobe-Korea1-0 subset: 8193 CIDs)
Munhwa-Bold		  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGothic-Regular	  (Adobe-Korea1-0 subset: 8193 CIDs)
MunhwaGothic-Bold	  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeo-Bold	  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeo-Light	  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeoHeulim-Bold  (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaGungSeoHeulim-Light (Adobe-Korea1-0 subset: 2549 CIDs)
MunhwaHoonMin-Regular	  (Adobe-Korea1-0 subset: 2549 CIDs)

These fonts are useful for Korean. The fonts can be used with
Ghostscript as well as with X11.

%prep
%setup -n %{name} -c %{name}
cp ${RPM_SOURCE_DIR}/License .

%build

%install
mkdir -p %{buildroot}%{_datadir}/ghostscript/Resource/{CIDFont,AFM,CFM}
for i in ./samples/*.afm
do
   install -m 0644 ${i}      %{buildroot}%{_datadir}/ghostscript/Resource/AFM
   install -m 0644 ${i%.afm} %{buildroot}%{_datadir}/ghostscript/Resource/CIDFont
done

%files
%defattr(-, root, root)
%doc License
%dir %{_datadir}/ghostscript/
%dir %{_datadir}/ghostscript/Resource/
%dir %{_datadir}/ghostscript/Resource/AFM/
%dir %{_datadir}/ghostscript/Resource/CIDFont/
%{_datadir}/ghostscript/Resource/CIDFont/MOEKai-Regular
%{_datadir}/ghostscript/Resource/CIDFont/MOESung-Regular
%{_datadir}/ghostscript/Resource/AFM/MOEKai-Regular.afm
%{_datadir}/ghostscript/Resource/AFM/MOESung-Regular.afm

%files -n adobe-cid-keyed-wada-fonts
%defattr(-, root, root)
%doc License
%dir %{_datadir}/ghostscript/
%dir %{_datadir}/ghostscript/Resource/
%dir %{_datadir}/ghostscript/Resource/AFM/
%dir %{_datadir}/ghostscript/Resource/CIDFont/
%{_datadir}/ghostscript/Resource/CIDFont/WadaGo-Bold
%{_datadir}/ghostscript/Resource/CIDFont/WadaMaruGo-Regular
%{_datadir}/ghostscript/Resource/CIDFont/WadaMin-Bold
%{_datadir}/ghostscript/Resource/CIDFont/WadaMin-Regular
%{_datadir}/ghostscript/Resource/AFM/WadaGo-Bold.afm
%{_datadir}/ghostscript/Resource/AFM/WadaMaruGo-Regular.afm
%{_datadir}/ghostscript/Resource/AFM/WadaMin-Bold.afm
%{_datadir}/ghostscript/Resource/AFM/WadaMin-Regular.afm

%files -n adobe-cid-keyed-wadah-fonts
%defattr(-, root, root)
%doc License
%dir %{_datadir}/ghostscript/
%dir %{_datadir}/ghostscript/Resource/
%dir %{_datadir}/ghostscript/Resource/AFM/
%dir %{_datadir}/ghostscript/Resource/CIDFont/
%{_datadir}/ghostscript/Resource/CIDFont/WadaMaruGo-RegularH
%{_datadir}/ghostscript/Resource/CIDFont/WadaMin-RegularH
%{_datadir}/ghostscript/Resource/AFM/WadaMaruGo-RegularH.afm
%{_datadir}/ghostscript/Resource/AFM/WadaMin-RegularH.afm

%files -n adobe-cid-keyed-munhwa-fonts
%defattr(-, root, root)
%doc License
%dir %{_datadir}/ghostscript/
%dir %{_datadir}/ghostscript/Resource/
%dir %{_datadir}/ghostscript/Resource/AFM/
%dir %{_datadir}/ghostscript/Resource/CIDFont/
%{_datadir}/ghostscript/Resource/CIDFont/Munhwa-Bold
%{_datadir}/ghostscript/Resource/CIDFont/Munhwa-Regular
%{_datadir}/ghostscript/Resource/CIDFont/MunhwaGothic-Bold
%{_datadir}/ghostscript/Resource/CIDFont/MunhwaGothic-Regular
%{_datadir}/ghostscript/Resource/CIDFont/MunhwaGungSeo-Bold
%{_datadir}/ghostscript/Resource/CIDFont/MunhwaGungSeo-Light
%{_datadir}/ghostscript/Resource/CIDFont/MunhwaGungSeoHeulim-Bold
%{_datadir}/ghostscript/Resource/CIDFont/MunhwaGungSeoHeulim-Light
%{_datadir}/ghostscript/Resource/CIDFont/MunhwaHoonMin-Regular
%{_datadir}/ghostscript/Resource/AFM/Munhwa-Bold.afm
%{_datadir}/ghostscript/Resource/AFM/Munhwa-Regular.afm
%{_datadir}/ghostscript/Resource/AFM/MunhwaGothic-Bold.afm
%{_datadir}/ghostscript/Resource/AFM/MunhwaGothic-Regular.afm
%{_datadir}/ghostscript/Resource/AFM/MunhwaGungSeo-Bold.afm
%{_datadir}/ghostscript/Resource/AFM/MunhwaGungSeo-Light.afm
%{_datadir}/ghostscript/Resource/AFM/MunhwaGungSeoHeulim-Bold.afm
%{_datadir}/ghostscript/Resource/AFM/MunhwaGungSeoHeulim-Light.afm
%{_datadir}/ghostscript/Resource/AFM/MunhwaHoonMin-Regular.afm

%changelog
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Feb  1 2012 pgajdos@suse.com
- renamed to adobe-cid-keyed-XXX-fonts
* Sat Sep 17 2011 jengelh@medozas.de
- Removed redundant tag/sections from spec
* Fri Dec 12 2008 cfarrell@suse.de
- Changed license to show that package is distributable but should
  be kept free
* Tue Feb 28 2006 mfabian@suse.de
- add "Provides: locale(...)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb  5 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Fri Jun 13 2003 mfabian@suse.de
- fix "directory not owned by any package".
* Tue Nov 19 2002 mfabian@suse.de
- splitted from ghostscript-library
